## qt6-declarative 6.8.1+dfsg

=== debian/changelog ===
qt6-declarative (6.8.1+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:49:34 -0600

qt6-declarative (6.7.2+dfsg-11ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable: Remaining changes:
    - Make qt6-declarative-dev depends qt6-declarative-private-dev to
      work around Debian bug 1087385 with cmake 3.31.0.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Nov 2024 23:46:33 +0000

qt6-declarative (6.7.2+dfsg-11) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Detect qml dependencies in examples.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Nov 2024 13:35:11 +0100

qt6-declarative (6.7.2+dfsg-10) unstable; urgency=medium

  [ Pino Toscano ]
  * Update symbols file for 32 vs 64 bits.

  [ Sandro Knauß ]
  * Enable dh_qmldeps.
  * Install all qml modules within the dev package for dh_qmldeps.
  * Add qml6:depends for all qml modules with dependencies.
  * Ignore "import QML" in qml files.

  [ Patrick Franz ]
  * Add {qml6:Depends} to all QML modules.
  * Make dh_qmldeps look for libraries inside the build folder as we
    cannot depend on ourselves.
  * Install the cmake file for the QML plugins.
  * Add symbolic links in /usr/bin for user-facing tools.

 -- Patrick Franz <deltaone@debian.org>  Mon, 28 Oct 2024 21:43:37 +0100

qt6-declarative (6.7.2+dfsg-9ubuntu1) plucky; urgency=medium

  * Make qt6-declarative-dev depends qt6-declarative-private-dev to work
    around Debian bug 1087385 with cmake 3.31.0.

 -- Rik Mills <rikmills@kde.org>  Fri, 15 Nov 2024 08:37:05 +0000
