## qt6-declarative 6.8.2%2Bdfsg

=== examples/quick/multieffect/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_internal_add_example(itemswitcher)
qt_internal_add_example(testbed)
